Create test suites

post

https://{your_site_interface}/opa-hub/api/12.2.43/tests

This operation will create test suites.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testSuitePost
Type: object
Show Source
Nested Schema : deployments
Type: array
An array of deployment names associated with this test suite. The deployments must be in the same workspace as the test suite.
Show Source
Nested Schema : projects
Type: array
An array of project names associated with this test suite. The projects must be in the same workspace as the test suite.
Show Source
Nested Schema : testCasesPost
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testCasePost
Type: object
Show Source
Nested Schema : testCaseExpectedOutputPost
Type: object
Additional Properties Allowed: true
Nested Schema : testCaseInputPost
Type: object
Additional Properties Allowed: true
Nested Schema : tags
Type: array
A set of all the tags declared by this test case.
Show Source
Security
  • Type: apiKey
    Description: Obtain a bearer token from https://{your_site_interface}/opa-hub/api/12.2.17/auth and use it in the Authorization header as: Bearer {token}.
  • Type: oauth2
    Description: POST the OAuth2 Client Credentials parameters to https://{your_site_interface}/opa-hub/api/12.2.17/auth and use the access token from the response in the Authorization header.
Back to Top

Response

Supported Media Types

201 Response

The request has been fulfilled and resulted in a new resource being created.
Body ()
Root Schema : testSuites
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testSuite
Type: object
Show Source
Nested Schema : deployments
Type: array
An array of deployment names associated with this test suite. The deployments must be in the same workspace as the test suite.
Show Source
Nested Schema : projects
Type: array
An array of project names associated with this test suite. The projects must be in the same workspace as the test suite.
Show Source
Nested Schema : testRuns
Type: object
Show Source
Nested Schema : testSuiteTagSummary
Type: object
Additional Properties Allowed: true
Nested Schema : testCases
Type: object
Show Source
Nested Schema : testSuiteTestSummary
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testRun
Type: object
Show Source
Nested Schema : testRunDeployments
Type: object
Show Source
Nested Schema : testRunProjects
Type: object
Show Source
Nested Schema : testRunSummary
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testRunDeployment
Type: object
Show Source
Nested Schema : testRunDeploymentResults
Type: object
Show Source
Nested Schema : testRunDeploymentSummary
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testCaseResult
Type: object
Show Source
Nested Schema : testCaseResultActualOutput
Type: object
Additional Properties Allowed: true
Nested Schema : testCaseResultExpectedOutput
Type: object
Additional Properties Allowed: true
Nested Schema : testCaseResultInput
Type: object
Additional Properties Allowed: true
Nested Schema : testCaseResultOutcome
Type: object
Additional Properties Allowed: true
Nested Schema : items
Type: array
Show Source
Nested Schema : testRunProject
Type: object
Show Source
Nested Schema : testRunProjectResults
Type: object
Show Source
Nested Schema : testRunProjectSummary
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : testCase
Type: object
Show Source
Nested Schema : testCaseExpectedOutput
Type: object
Additional Properties Allowed: true
Nested Schema : testCaseInput
Type: object
Additional Properties Allowed: true
Nested Schema : tags
Type: array
A set of all the tags declared by this test case.
Show Source

400 Response

The request could not be processed because it contains missing or invalid information.

409 Response

The request could not be completed due to a conflict with the current state of the resource.
Back to Top